package com.entropy.david.Manejadores;

import android.annotation.TargetApi;
import android.os.Build;
import android.util.Log;

import com.entropy.david.Letras.Caracter;

import java.util.ArrayList;

/**
 * Created by david on 11/06/2014.
 */
@TargetApi(Build.VERSION_CODES.HONEYCOMB)
public class ManejadorLaser extends Manejador {

//    final float VELOCIDAD_MAXIMA = 7; //anteriormente 6 //comodo en 3

    public ManejadorLaser(Caracter[] letras) {
        super(letras);
        inicializacionConcreta();
    }

    @Override
    public int getTipoManejador() {
        return MANEJADOR_LASER;
    }

    @Override
    protected void inicializacionConcreta() {
        inicializaVelocidades(VELOCIDAD_MAXIMA);
        inicializaPuntos();
    }

    @Override
    public void mueve() {
        for (int i = 0; i < letras.length-1 ; i++) {

            int ir_a = (i*(PASOS+1)+1);

            letras[i].setX(puntos.get(ir_a).getX());
            letras[i].setY(puntos.get(ir_a).getY());

        }
        mueveUltimaLetra(letras[letras.length-1]);
    }

    private void mueveUltimaLetra(Caracter letra) {

        movimiento_vertical(letra);
        movimiento_horizontal(letra);
        puntos.add(new Punto(letra.getX(), letra.getY()));
        puntos.remove(0);

    }

}