package com.entropy.david.Movimientos;

/**
 * Created by david on 20/06/2014.
 */
public class MovimientoReboteVertical extends Movimiento {

    boolean abajo = false;

    final float VELOCIDAD = 5 /3.5f;

    public MovimientoReboteVertical() {
        super();
    }

    @Override
    public int getTipoMovimiento() {
        return MOVIMIENTO_REBOTE_VERTICAL;
    }

    @Override
    public void mueve() {
        movimietoRebote();
    }

    @Override
    protected void inicializacionConcreta() {

    }

    @Override
    public String getInfo() {

        String s = super.getInfo();
        s+= "\nMovimiento de Rebote Vertical, ";
        s+= "\nvelocidad: "+ VELOCIDAD;

        return s;
    }

    private void movimietoRebote() {

        if(abajo){
            y += VELOCIDAD;
        }
        else{
            y -= VELOCIDAD;
        }
        if( y < TAMAÑO_MIN_PANTALLA_Y ) abajo = true;
        else if(TAMAÑO_MAX_PANTALLA_Y < y) abajo = false;

        cr.setY(y);

    }

}
