package com.entropy.david.Movimientos;

import android.annotation.TargetApi;
import android.os.Build;

/**
 * Created by david on 11/06/2014.
 */
@TargetApi(Build.VERSION_CODES.HONEYCOMB)
public class MovimientoVientoLateral extends Movimiento {

    private float a;

    final float VELOCIDAD_MAXIMA = 8 /3.5f;    //17
    final float VELOCIDAD_MINIMA = 3 /3.5f;     //5

    public MovimientoVientoLateral() {
        super();
    }

    @Override
    public int getTipoMovimiento() {
        return MOVIMIENTO_VIENTO_LATERAL;
    }

    @Override
    protected void inicializacionConcreta() {
        inicializaVelocidades();
    }

    private void inicializaVelocidades() {

        a = (float) ((Math.random()* VELOCIDAD_MAXIMA) )+ VELOCIDAD_MINIMA;

    }

    @Override
    public void mueve() {
        movimiento_viento_lateral();
    }

    @Override
    public String getInfo() {

        String s = super.getInfo();
        s+= "\nMovimiento Matrix, ";
        s+= "\nvalores de avance a : "+ a;
        s+= "\nvelocidad máxima: "+ VELOCIDAD_MAXIMA;

        return s;
    }

    private void movimiento_viento_lateral() {
        //a debe ser un random con valor max 70
        //es muy chulo

        if( x < TAMAÑO_MAX_PANTALLA_X) x += a;
        else x %= VELOCIDAD_MAXIMA;

        cr.setX(x);
    }

}
