package com.entropy.david.Manejadores;

import android.annotation.TargetApi;
import android.os.Build;
import android.util.Log;

import com.entropy.david.Letras.Caracter;

import static java.lang.Math.PI;
import static java.lang.Math.atan2;
import static java.lang.Math.cos;
import static java.lang.Math.random;
import static java.lang.Math.sin;
import static java.lang.Math.sqrt;

/**
 * Created by david on 11/06/2014.
 */
@TargetApi(Build.VERSION_CODES.HONEYCOMB)
public class ManejadorBloqueInfinito extends Manejador {


//    private static final int VELOCIDAD_MAXIMA = 7; //anteriormente 6 //comodo en 3
    private static final float ANGULO_MAX_GIRO = 30;

    public ManejadorBloqueInfinito(Caracter[] letras) {
        super(letras);
        inicializacionConcreta();
    }

    @Override
    public int getTipoManejador() {
        return MANEJADOR_BLOQUE_INFINITO;
    }

    @Override
    protected void inicializacionConcreta() {
        inicializaVelocidades(VELOCIDAD_MAXIMA);
        inicializaPuntos();
    }

    @Override
    public void mueve() {
        for (int i = 0; i < letras.length ; i++) {
            letras[i].mueve();
        }
    }

}